---
type: api
title: Delete runner
description: Delete a runner by id.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-delete-runner
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/operation/operation-delete-runner
products:
  - Elastic Cloud Enterprise
---

# Delete runner

## Paths

- `DELETE` `/platform/infrastructure/runners/{runner_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/authentication#apikey)

#### Path Parameters

- `runner_id` (string)
  The identifier for the runner

## Description

Delete a runner by id.

## Responses

#### `200`

The runner specified by {runner_id} was deleted.

`application/json`

Type: `EmptyResponse`

#### `400`

The runner specified by {runner_id} could not be deleted. (code: `runners.runner_deletion_failed`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

The runner specified by {runner_id} cannot be found. (code: `runners.runner_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /platform/infrastructure/runners/{runner_id}
```

#### curl

```curl
curl -X DELETE "/platform/infrastructure/runners/{runner_id}"
```

